System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.Control System.Web.UI.IAttributeAccessor System.ComponentModel.Designer("System.Web.UI.Design.HtmlIntrinsicControlDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.ToolboxItem(false)

The class provides common properties inherited by all HTML server control classes. A new instance of the class is not created directly.

Defines the methods, properties, and events common to all HTML server controls in the ASP.NET page framework.

- Constructor

  This constructor is used to create and initialize a new instance of the class using default values.

  A new instance of this class is not created directly. This constructor is called from the constructor of other HTML control classes to initialize properties defined in this class.

  The following table shows the initial property value for an instance of .

  Property

  Initial Value

  The "span" literal string.

  Initializes a new instance of the class using default values.

  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor is used to create and initialize a new instance of the class using the specified tag.

  A new instance of this class is not created directly. This constructor is called from the constructor of other HTML control classes to initialize properties defined in this class.

  The following table shows the initial property value for an instance of .

  Property

  Initial Value

  The value of the parameter.

  Initializes a new instance of the class using the specified tag.

  A string that specifies the tag name of the control.
  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.AttributeCollection a

  Use this property to programmatically access the attributes of the HTML server control. All HTML server controls store their attributes in the property.

  HTML attributes are treated by the .NET Framework as properties on the HTML server control to which they belong.

  For additional information on the attributes collection, see the class.

  Gets a collection of all attribute name and value pairs expressed on a server control tag within the ASP.NET page.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Method
  System.Web.UI.ControlCollection To be added To be added

  A that contains the child server controls.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  In the browser, a disabled element or control is read-only, with the following added restrictions: its value is not submitted with the form, the element or control cannot receive focus, and the element or control is skipped when navigating the document by tabbing.

  Gets or sets a value indicating whether the HTML server control is disabled.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.Web.UI.MinimizableAttributeTypeConverter))
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.DefaultValue(false)
- Method
  2.0.0.0
  System.String ``

  Use the method to access an attribute on the server control. All HTML server controls store their attributes in the property. HTML attributes are treated by the ASP.NET page framework as properties on the HTML server control to which they belong. The method's parameter is case-insensitive.

  Gets the value of the named attribute on the control.

  The value of this attribute on the element, as a value. If the specified attribute does not exist on this element, returns an empty string ("").

  The name of the attribute. This argument is case-insensitive.
- Method
  System.Void ``

  The method calls the method and passes the specified control.

  Writes content to render on a client to the specified object.

  A that contains the output stream to render on the client. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method writes the attribute of the control.

  The method is used primarily by control developers extending the functionality of the control.

  Renders the control's attributes into the specified object.

  The that receives the rendered content. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method renders the opening angle bracket (<), followed by the control's tag name, attributes, and a closing angle bracket (>).

  The method is used primarily by control developers extending the functionality of the control.

  Renders the opening HTML tag of the control into the specified object.

  The that receives the rendered content. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  Use the method to set an attribute on the server control. All HTML server controls store their attributes in the property.

  HTML attributes are treated by the ASP.NET page framework as properties on the HTML server control to which they belong. The method's parameter is case-insensitive.

  Sets the value of the named attribute on the control.

  The name of the attribute to set. The value to set the attribute to.
- Property
  System.Web.UI.CssStyleCollection a

  Use this property to programmatically access the style properties of the HTML server control.

  For additional information on the CSS style collection, see the class.

  Gets a collection of all cascading style sheet (CSS) properties applied to a specified HTML server control in the ASP.NET file.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Method
  1.0.5000.0
  2.0.0.0
  System.String ``

  The method calls the method.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The value of this attribute on the element, as a value. If the specified attribute does not exist on this element, returns an empty string ("").

  The attribute name.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  The method calls the method.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The name of the attribute to set. The value to set the attribute to.
- Property
  System.String To be added: an object of type 'string'

  Use this property to programmatically determine the element name of the HTML server control. For example, the property of the server-side <div id="myDiv" runat=server> element contains the value "div".

  Gets the element name of a tag that contains a runat=server attribute and value pair.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.DefaultValue("")
- Property
  System.Boolean a

  The property overrides the base class's property to always return true, indicating that the controls that inherit from save view state without taking case into account.

  Gets a value that indicates whether the view state is case-sensitive.

  1.0.5000.0
  2.0.0.0